package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 类型(乐器、教辅、课程)'
 */
public enum OrderDetailTypeEnum implements BaseEnum<String, OrderDetailTypeEnum> {
    MUSICAL("MUSICAL", "乐器"),
    ACCESSORIES("ACCESSORIES", "辅件"),
    TEACHING("TEACHING", "教谱"),
    OTHER("OTHER", "其他"),
    COURSE("COURSE", "课程"),
    HIGH_ONLINE_COURSE("HIGH_ONLINE_COURSE", "网络基础训练"),
    SINGLE("SINGLE", "单技课"),
    MIX("MIX", "合奏课"),
    HIGH("HIGH", "小班课"),
    VIP("VIP", "vip课"),
    DEMO("DEMO", "试听课"),
    COMPREHENSIVE("COMPREHENSIVE", "综合课"),
    ENLIGHTENMENT("ENLIGHTENMENT", "启蒙课"),
    TRAINING_SINGLE("TRAINING_SINGLE", "集训单技课"),
    TRAINING_MIX("TRAINING_MIX", "集训合奏课"),
    HIGH_ONLINE("HIGH_ONLINE", "网络基础训练课"),
    MUSIC_NETWORK("MUSIC_NETWORK", "乐团网管课"),
    CLASSROOM("CLASSROOM", "课堂课"),
	DEGREE_REGISTRATION("DEGREE_REGISTRATION", "考级报名");

    private String code;

    private String msg;

    OrderDetailTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
